#ifndef PKMNLIB_LIBRARYSETTINGS_HPP
#define PKMNLIB_LIBRARYSETTINGS_HPP

#include <CreatureLib/Library/LibrarySettings.hpp>

namespace PkmnLib::Library {
    class LibrarySettings final : public CreatureLib::Library::LibrarySettings {
        u16 _shinyRate;

    public:
        LibrarySettings(u8 maximalLevel, u8 maximalMoves, u16 shinyRate) noexcept
            : CreatureLib::Library::LibrarySettings(maximalLevel, maximalMoves), _shinyRate(shinyRate) {}

        u16 GetShinyRate() const noexcept { return _shinyRate; }
    };
}

#endif // PKMNLIB_LIBRARYSETTINGS_HPP
