#ifndef PKMNLIB_STATISTIC_HPP
#define PKMNLIB_STATISTIC_HPP

#include <CreatureLib/Library/Statistic.hpp>
namespace PkmnLib::Library {
    class Statistic {
    public:
        static constexpr const CreatureLib::Library::Statistic HealthPoints = CreatureLib::Library::Statistic::Health;
        static constexpr const CreatureLib::Library::Statistic PhysicalAttack =
            CreatureLib::Library::Statistic::PhysicalAttack;
        static constexpr const CreatureLib::Library::Statistic PhysicalDefense =
            CreatureLib::Library::Statistic::PhysicalDefense;
        static constexpr const CreatureLib::Library::Statistic SpecialAttack =
            CreatureLib::Library::Statistic::MagicalAttack;
        static constexpr const CreatureLib::Library::Statistic SpecialDefense =
            CreatureLib::Library::Statistic::MagicalDefense;
        static constexpr const CreatureLib::Library::Statistic Speed = CreatureLib::Library::Statistic::Speed;
    };
}

#endif // PKMNLIB_STATISTIC_HPP
