#ifndef PKMNLIB_WASMMOVEDATAREGISTRY_H
#define PKMNLIB_WASMMOVEDATAREGISTRY_H

#include <Arbutils/Collections/Dictionary.hpp>
#include <wasm.h>

class WebAssemblyScriptResolver;
class WASMMoveDataRegistry {
public:
    static void Register(ArbUt::Dictionary<std::string, wasm_func_t*>& externs,
                         WebAssemblyScriptResolver* resolver);
};

#endif // PKMNLIB_WASMMOVEDATAREGISTRY_H
