#ifndef PKMNLIB_WASMEXTERNREF_HPP
#define PKMNLIB_WASMEXTERNREF_HPP

template <class T> class WasmExternRef {
public:
    WasmExternRef(T* ptr) : _ptr(ptr) {}

    [[nodiscard]] inline T* GetPtr() const noexcept { return _ptr; }
private:
    T* _ptr;
};

#endif // PKMNLIB_WASMEXTERNREF_HPP
