#include "../../src/Library/LibrarySettings.hpp"
#include "../Core.hpp"
using namespace PkmnLib::Library;

export_func const LibrarySettings* PkmnLib_LibrarySettings_Construct(uint8_t maximalLevel, uint8_t maximalMoves,
                                                                uint16_t shinyRate) {
    return new LibrarySettings(maximalLevel, maximalMoves, shinyRate);
}

export_func void PkmnLib_LibrarySettings_Destruct(const LibrarySettings* p) { delete p; }

SIMPLE_GET_FUNC(LibrarySettings, GetShinyRate, uint16_t);