#ifndef PKMNLIB_CAPTURELIBRARY_HPP
#define PKMNLIB_CAPTURELIBRARY_HPP

#include <CreatureLib/Battling/Models/BattleRandom.hpp>
#include <CreatureLib/Defines.hpp>
#include "../../Library/Items/Item.hpp"

namespace PkmnLib::Battling {
    class Pokemon;

    class CaptureLibrary {
    public:
        struct CaptureResult {
            bool WasCaught;
            u8 Shakes;
            bool WasCritical;
        };

        CaptureResult TryCatch(Pokemon* non_null pokemon, Library::Item* non_null catchItem,
                               CreatureLib::Battling::BattleRandom* non_null random) const;
    };
}

#endif // PKMNLIB_CAPTURELIBRARY_HPP
