#ifndef PKMNLIB_REGISTERSPECIESTYPES_HPP
#define PKMNLIB_REGISTERSPECIESTYPES_HPP

#include <CreatureLib/Defines.hpp>
#include <angelscript.h>

class RegisterSpeciesTypes {
public:
    static void Register(asIScriptEngine* non_null engine);

private:
    static void RegisterGenderEnum(asIScriptEngine* non_null engine);
    static void RegisterStatisticEnum(asIScriptEngine* non_null engine);
    static void RegisterSpeciesType(asIScriptEngine* non_null engine);
    static void RegisterFormeType(asIScriptEngine* non_null engine);
    static void RegisterEvolutionData(asIScriptEngine* non_null engine);
    static void RegisterSpeciesLibrary(asIScriptEngine* non_null engine);
};

#endif // PKMNLIB_REGISTERSPECIESTYPES_HPP
